Subject: Re: Ethernet support missing p1020rdb.dts

From: Felix Radensky <[email-masked]>
Date: Sun, 11 Apr 2010 08:29:38 +0300

Hi Kumar,

On 4/9/2010 8:43 AM, Kumar Gala wrote:
> On Apr 8, 2010, at 5:53 AM, Felix Radensky wrote:
>
>   
>> Hi,
>>
>> I've just noticed that ethernet nodes are missing in p1020rdb device tree.
>> Are there any known problems with ethernet controllers on p1020rdb ?
>>     
> I'd say its not problems, its support for the newer controller on p1020rdb.  At the time the .dts the kernel didn't have support.  I'm not 100% clear on its current state.
>
> - k
> _______________________________________________
>
>   

AFAICS support for eTSEC2.0 was added by commits 
46ceb60ca80fa07703bc6eb8f4651f900dff5a82
and 1d2397d742b7a2b39b2f09dd9da3b9d1463f55e9. Assuming the support is 
complete, what should
be changed in ethernet nodes from p2020rdb.dts to support p1020rdb 
except obvious changes in
compatible properties ?

I'm going to receive a couple of p1020rdb systems soon, they would be 
pretty useless without
a working ethernet.

Thanks.

Felix.